# Get Reports list grouped by tenant id Returns a list of all reports grouped by tenant id. If tenant id is not supplied returns list of all tenants Endpoint: GET /internal/reports/tenants Security: Bearer ## Query parameters: - `tenant-ids` (array) Comma-separated tenant IDs. ## Response 400 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 403 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z" ## Response 404 fields (application/json): - `type` (string, required) Example: "https://docs.ripple.com/payments-direct/api-docs/error-codes/report-error-codes#RPT_1" - `errorCode` (string, required) Example: "RPT_1" - `title` (string, required) Example: "BAD_REQUEST" - `detail` (string) Example: "Required field missing" - `time` (string, required) The [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html) error timestamp. Example: "2018-04-06T20:33:35Z"